srt-devel-1.3.1-18.6.i586.rpm


Advertisement

Description

srt-devel - Development files for the Secure Reliable Transport (SRT) library

Property Value
Distribution openSUSE Tumbleweed
Repository Multimedia Libs all
Package filename srt-devel-1.3.1-18.6.i586.rpm
Package name srt-devel
Package version 1.3.1
Package release 18.6
Package architecture i586
Package type rpm
Category Development/Libraries/C and C++
Homepage https://www.srtalliance.org
License MPL-2.0
Maintainer -
Download size 22.82 KB
Installed size 51.18 KB
This package contains all necessary include files and libraries
needed to develop applications with Secure Reliable Transport
(SRT) support.

Alternatives

Package Version Architecture Repository
srt-devel-1.3.1-18.6.x86_64.rpm 1.3.1 x86_64 Multimedia Libs
srt-devel-1.3.1-4.2.x86_64.rpm 1.3.1 x86_64 openSUSE Oss
srt-devel-1.3.1-4.2.i586.rpm 1.3.1 i586 openSUSE Oss
srt-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libsrt1 = 1.3.1
pkgconfig(libcrypto) -
pkgconfig(openssl) -
pkgconfig(zlib) -
srt = 1.3.1

Provides

Name Value
pkgconfig(haisrt) = 1.3.1
pkgconfig(srt) = 1.3.1
srt-devel = 1.3.1-18.6
srt-devel(x86-32) = 1.3.1-18.6

Download

Type URL
Mirror widehat.opensuse.org
Binary Package srt-devel-1.3.1-18.6.i586.rpm
Source Package srt-1.3.1-18.6.src.rpm

Install Howto

  1. Add the Multimedia Libs repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/multimedia:/libs/openSUSE_Tumbleweed/ multimedia-libs
  2. Install srt-devel rpm package:
    # zypper install srt-devel

Files

Path
/usr/include/srt/logging_api.h
/usr/include/srt/platform_sys.h
/usr/include/srt/srt.h
/usr/include/srt/srt4udt.h
/usr/include/srt/udt.h
/usr/include/srt/version.h
/usr/lib/libsrt.so
/usr/lib/pkgconfig/haisrt.pc
/usr/lib/pkgconfig/srt.pc

Changelog

2018-11-13 - Antonio Larrosa <alarrosa@suse.com>
- Fix install prefix in cmake so the pkgconfig file has correct
information on where to find srt's libraries and include files.
2018-10-29 - Dominique Leuenberger <dimstar@opensuse.org>
- Add pkgconfig(zlib) BuildRequires: until openssl 1.1.1, zlib was
pulled in into our buildroot, avoiding srt having to care for it
explicitly. Since this is changed now, we have to worry for our
dependency on our own. The dep comes from:
CMakeLists.txt:set (SSL_REQUIRED_MODULES "openssl libcrypto zlib")
2018-08-08 - jengelh@inai.de
- Trim marketing from description.
2018-07-13 - bjorn.lie@gmail.com
- Update to version 1.3.1:
+ Various bugfixes.
2018-07-12 - jengelh@inai.de
- Update summaries.
2018-06-29 - bjorn.lie@gmail.com
- Add baselibs.conf: build 32bit support libs.
2018-05-31 - bjorn.lie@gmail.com
- Update Summary and Descriptions fields.
2018-05-21 - bjorn.lie@gmail.com
- Inital packaging.

See Also

Package Description
sscape-ctl-0.1.0-115.1.i586.rpm Sound Blaster 16 ASP/CSP control program
suil-devel-0.10.0-21.16.i586.rpm Development files for the suil library
suil-devel-0.10.0-21.16.x86_64.rpm Development files for the suil library
suil-plugin-gtk2-in-qt5-0.10.0-21.16.i586.rpm Shared object for GTK2 hosts displaying Qt5 LV2 GUIs
suil-plugin-gtk2-in-qt5-0.10.0-21.16.x86_64.rpm Shared object for GTK2 hosts displaying Qt5 LV2 GUIs
suil-plugin-qt5-in-gtk2-0.10.0-21.16.i586.rpm Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
suil-plugin-qt5-in-gtk2-0.10.0-21.16.x86_64.rpm Shared object for Qt5 hosts displaying GTK2 LV2 GUIs
suil-plugin-x11-0.10.0-21.16.i586.rpm Shared object for X11 LV2 GUIs
suil-plugin-x11-0.10.0-21.16.x86_64.rpm Shared object for X11 LV2 GUIs
suil-plugin-x11-in-gtk2-0.10.0-21.16.i586.rpm Shared object for GTK2 hosts displaying X11 LV2 GUIs
suil-plugin-x11-in-gtk2-0.10.0-21.16.x86_64.rpm Shared object for GTK2 hosts displaying X11 LV2 GUIs
suil-plugin-x11-in-gtk3-0.10.0-21.16.i586.rpm Shared object for GTK3 hosts displaying X11 LV2 GUIs
suil-plugin-x11-in-gtk3-0.10.0-21.16.x86_64.rpm Shared object for GTK3 hosts displaying X11 LV2 GUIs
suil-plugin-x11-in-qt5-0.10.0-21.16.i586.rpm Shared object for Qt5 hosts displaying X11 LV2 GUIs
suil-plugin-x11-in-qt5-0.10.0-21.16.x86_64.rpm Shared object for Qt5 hosts displaying X11 LV2 GUIs
Advertisement
Advertisement